"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cracoConfig = exports.cracoBin = exports.outputDirectory = exports.packagesRoot = void 0;

var _resolveAsBin = _interopRequireDefault(require("resolve-as-bin"));

var path = _interopRequireWildcard(require("path"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const packagesRoot = 'packages';
exports.packagesRoot = packagesRoot;
const outputDirectory = 'dist';
exports.outputDirectory = outputDirectory;
const cracoBin = (0, _resolveAsBin.default)('craco');
exports.cracoBin = cracoBin;
const cracoConfig = path.join(__dirname, '..', 'DO_NOT_IMPORT_THIS_OR_YOU_WILL_BE_FIRED_craco.config.js');
exports.cracoConfig = cracoConfig;